### GET /commerce/{connection_id}/review Source: https://api.unified.to/docs/openapi-commerce.json API endpoint for GET /commerce/{connection_id}/review ```markdown ### Parameters - **limit** (number, query, optional) - **offset** (number, query, optional) - **updated_gte** (string, query, optional): Return only results whose updated date is equal or greater to this value (ISO-8601 / YYYY-MM-DDTHH:MM:SSZ format) - **sort** (string, query, optional) - **order** (string, query, optional) - **query** (string, query, optional): Query string to search. eg. email address or name - **item_id** (string, query, optional): The item ID to filter by (reference to CommerceItem) - **contact_id** (string, query, optional): The contact ID to filter by (reference to AccountingContact) - **fields** (array (string (id|created_at|updated_at|item_id|item_variant_id|rating|title|content|author_name|author_email|author_avatar_url|author_location|verified_purchase|helpful_votes|unhelpful_votes|media|status|is_verified|is_featured|is_public|comments|metadata|raw)), query, optional): Fields to return - **raw** (string, query, optional): Raw parameters to include in the 3rd-party request. Encoded as a URL component. eg. raw parameters: foo=bar&zoo=bar -> raw=foo%3Dbar%26zoo%3Dbar - **connection_id** (string, path, required): ID of the connection ### Responses #### 200 - Successful **CommerceReviews** - Array of CommerceReview ### Example Usage ```bash curl -X GET "https://api.unified.to/commerce/{connection_id}/review?limit=0&offset=0&updated_gte=string&sort=string&order=string&query=string&item_id=string&contact_id=string&fields=item1,item2&raw=string" ``` ``` -------------------------------- ### GET /commerce/{connection_id}/saleschannel Source: https://api.unified.to/docs/openapi-commerce.json API endpoint for GET /commerce/{connection_id}/saleschannel ```markdown ### Parameters - **limit** (number, query, optional) - **offset** (number, query, optional) - **updated_gte** (string, query, optional): Return only results whose updated date is equal or greater to this value (ISO-8601 / YYYY-MM-DDTHH:MM:SSZ format) - **sort** (string, query, optional) - **order** (string, query, optional) - **query** (string, query, optional): Query string to search. eg. email address or name - **fields** (array (string (id|created_at|updated_at|slug|description|is_active|collections|raw)), query, optional): Fields to return - **raw** (string, query, optional): Raw parameters to include in the 3rd-party request. Encoded as a URL component. eg. raw parameters: foo=bar&zoo=bar -> raw=foo%3Dbar%26zoo%3Dbar - **connection_id** (string, path, required): ID of the connection ### Responses #### 200 - Successful **CommerceSaleschannels** - Array of CommerceSaleschannel ### Example Usage ```bash curl -X GET "https://api.unified.to/commerce/{connection_id}/saleschannel?limit=0&offset=0&updated_gte=string&sort=string&order=string&query=string&fields=item1,item2&raw=string" ``` ``` -------------------------------- ### GET /commerce/{connection_id}/review/{id} Source: https://api.unified.to/docs/openapi-commerce.json API endpoint for GET /commerce/{connection_id}/review/{id} ```markdown ### Parameters - **fields** (array (string (id|created_at|updated_at|item_id|item_variant_id|rating|title|content|author_name|author_email|author_avatar_url|author_location|verified_purchase|helpful_votes|unhelpful_votes|media|status|is_verified|is_featured|is_public|comments|metadata|raw)), query, optional): Fields to return - **raw** (string, query, optional): Raw parameters to include in the 3rd-party request. Encoded as a URL component. eg. raw parameters: foo=bar&zoo=bar -> raw=foo%3Dbar%26zoo%3Dbar - **connection_id** (string, path, required): ID of the connection - **id** (string, path, required): ID of the Review ### Responses #### 200 - Successful **CommerceReview** - **id** (string) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) - **item_id** (string) (required) - **item_variant_id** (string) - **rating** (number) - **title** (string) - **content** (string) - **author_name** (string) - **author_email** (string) - **author_avatar_url** (string) - **author_location** (string) - **verified_purchase** (boolean) - **helpful_votes** (number) - **unhelpful_votes** (number) - **media** (array (CommerceItemMedia)): Photosvideos attached to the review Array items: - **id** (string) - **url** (string) (required) - **alt** (string) - **type** (string (image|video)) ("image"|"video") - **height** (number) - **width** (number) - **position** (number) - **metadata** (array (CommerceMetadata)) Array items: - **id** (string) - **value** (object) - **namespace** (string) - **format** (string (TEXT|NUMBER|DATE|BOOLEAN|FILE|TEXTAREA|SINGLE_SELECT|MULTIPLE_SELECT|MEASUREMENT|PRICE|YES_NO|CURRENCY|URL)) ("TEXT"|"NUMBER"|"DATE"|"BOOLEAN"|"FILE"|"TEXTAREA"|"SINGLE_SELECT"|"MULTIPLE_SELECT"|"MEASUREMENT"|"PRICE"|"YES_NO"|"CURRENCY"|"URL") - **extra_data** (object) - **slug** (string) - **description** (string) - **is_required** (boolean) - **status** (string (PENDING|APPROVED|REJECTED|SPAM)) ("PENDING"|"APPROVED"|"REJECTED"|"SPAM") - **is_verified** (boolean) - **is_featured** (boolean) - **is_public** (boolean) - **comments** (array (CommerceReviewComment)) Array items: - **id** (string) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) - **content** (string) (required) - **author_name** (string) - **author_email** (string) - **author_avatar_url** (string) - **author_location** (string) - **helpful_votes** (number) - **unhelpful_votes** (number) - **status** (string (PENDING|APPROVED|REJECTED|SPAM)) ("PENDING"|"APPROVED"|"REJECTED"|"SPAM") - **is_verified** (boolean) - **is_public** (boolean) - **metadata** (array (CommerceMetadata)) Array items: - **raw** (object) - **metadata** (array (CommerceMetadata)) Array items: - **raw** (object) ### Example Usage ```bash curl -X GET "https://api.unified.to/commerce/{connection_id}/review/{id}?fields=item1,item2&raw=string" ``` ``` -------------------------------- ### GET /commerce/{connection_id}/item Source: https://api.unified.to/docs/openapi-commerce.json API endpoint for GET /commerce/{connection_id}/item ```markdown ### Parameters - **limit** (number, query, optional) - **offset** (number, query, optional) - **updated_gte** (string, query, optional): Return only results whose updated date is equal or greater to this value (ISO-8601 / YYYY-MM-DDTHH:MM:SSZ format) - **sort** (string, query, optional) - **order** (string, query, optional) - **query** (string, query, optional): Query string to search. eg. email address or name - **collection_id** (string, query, optional): The collection ID to filter by (reference to CommerceCollection) - **fields** (array (string (id|created_at|updated_at|name|public_name|slug|description|taxrate_id|global_code|public_description|is_active|is_taxable|vendor_name|type|variants|tags|media|collection_ids|account_id|metadata|raw|collections)), query, optional): Fields to return - **raw** (string, query, optional): Raw parameters to include in the 3rd-party request. Encoded as a URL component. eg. raw parameters: foo=bar&zoo=bar -> raw=foo%3Dbar%26zoo%3Dbar - **connection_id** (string, path, required): ID of the connection ### Responses #### 200 - Successful **CommerceItems** - Array of CommerceItem ### Example Usage ```bash curl -X GET "https://api.unified.to/commerce/{connection_id}/item?limit=0&offset=0&updated_gte=string&sort=string&order=string&query=string&collection_id=string&fields=item1,item2&raw=string" ``` ``` -------------------------------- ### GET /commerce/{connection_id}/inventory Source: https://api.unified.to/docs/openapi-commerce.json API endpoint for GET /commerce/{connection_id}/inventory ```markdown ### Parameters - **limit** (number, query, optional) - **offset** (number, query, optional) - **updated_gte** (string, query, optional): Return only results whose updated date is equal or greater to this value (ISO-8601 / YYYY-MM-DDTHH:MM:SSZ format) - **sort** (string, query, optional) - **order** (string, query, optional) - **query** (string, query, optional): Query string to search. eg. email address or name - **item_variant_id** (string, query, optional): The item variant ID to filter by (reference to CommerceItemVariant) - **location_id** (string, query, optional): The location ID to filter by (reference to CommerceLocation) - **fields** (array (string (id|updated_at|item_id|item_variant_id|item_option_id|location_id|available|raw)), query, optional): Fields to return - **raw** (string, query, optional): Raw parameters to include in the 3rd-party request. Encoded as a URL component. eg. raw parameters: foo=bar&zoo=bar -> raw=foo%3Dbar%26zoo%3Dbar - **connection_id** (string, path, required): ID of the connection ### Responses #### 200 - Successful **CommerceInventories** - Array of CommerceInventory ### Example Usage ```bash curl -X GET "https://api.unified.to/commerce/{connection_id}/inventory?limit=0&offset=0&updated_gte=string&sort=string&order=string&query=string&item_variant_id=string&location_id=string&fields=item1,item2&raw=string" ``` ``` -------------------------------- ### GET /commerce/{connection_id}/collection/{id} Source: https://api.unified.to/docs/openapi-commerce.json API endpoint for GET /commerce/{connection_id}/collection/{id} ```markdown ### Parameters - **fields** (array (string (id|created_at|updated_at|name|public_name|description|public_description|media|is_visible|is_active|is_featured|tags|type|parent_id|metadata|item_metadata|raw)), query, optional): Fields to return - **raw** (string, query, optional): Raw parameters to include in the 3rd-party request. Encoded as a URL component. eg. raw parameters: foo=bar&zoo=bar -> raw=foo%3Dbar%26zoo%3Dbar - **connection_id** (string, path, required): ID of the connection - **id** (string, path, required): ID of the Collection ### Responses #### 200 - Successful **CommerceCollection** - **id** (string) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) - **name** (string) (required) - **public_name** (string) - **description** (string) - **public_description** (string) - **media** (array (CommerceItemMedia)) Array items: - **id** (string) - **url** (string) (required) - **alt** (string) - **type** (string (image|video)) ("image"|"video") - **height** (number) - **width** (number) - **position** (number) - **metadata** (array (CommerceMetadata)) Array items: - **id** (string) - **value** (object) - **namespace** (string) - **format** (string (TEXT|NUMBER|DATE|BOOLEAN|FILE|TEXTAREA|SINGLE_SELECT|MULTIPLE_SELECT|MEASUREMENT|PRICE|YES_NO|CURRENCY|URL)) ("TEXT"|"NUMBER"|"DATE"|"BOOLEAN"|"FILE"|"TEXTAREA"|"SINGLE_SELECT"|"MULTIPLE_SELECT"|"MEASUREMENT"|"PRICE"|"YES_NO"|"CURRENCY"|"URL") - **extra_data** (object) - **slug** (string) - **description** (string) - **is_required** (boolean) - **is_visible** (boolean) - **is_active** (boolean) - **is_featured** (boolean) - **tags** (array (string)) - **type** (string (COLLECTION|SAVED_SEARCH|CATEGORY)) ("COLLECTION"|"SAVED_SEARCH"|"CATEGORY") - **parent_id** (string) - **metadata** (array (CommerceMetadata)) Array items: - **item_metadata** (array (CommerceMetadata)) Array items: - **raw** (object) ### Example Usage ```bash curl -X GET "https://api.unified.to/commerce/{connection_id}/collection/{id}?fields=item1,item2&raw=string" ``` ``` -------------------------------- ### GET /commerce/{connection_id}/saleschannel/{id} Source: https://api.unified.to/docs/openapi-commerce.json API endpoint for GET /commerce/{connection_id}/saleschannel/{id} ```markdown ### Parameters - **fields** (array (string (id|created_at|updated_at|slug|description|is_active|collections|raw)), query, optional): Fields to return - **raw** (string, query, optional): Raw parameters to include in the 3rd-party request. Encoded as a URL component. eg. raw parameters: foo=bar&zoo=bar -> raw=foo%3Dbar%26zoo%3Dbar - **connection_id** (string, path, required): ID of the connection - **id** (string, path, required): ID of the Saleschannel ### Responses #### 200 - Successful **CommerceSaleschannel** - **id** (string) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) - **slug** (string) - **description** (string) - **is_active** (boolean) - **collections** (array (CommerceReference)): points to a CommerceCollection Array items: - **id** (string) - **name** (string) - **type** (string) - **raw** (object) ### Example Usage ```bash curl -X GET "https://api.unified.to/commerce/{connection_id}/saleschannel/{id}?fields=item1,item2&raw=string" ``` ``` -------------------------------- ### GET /commerce/{connection_id}/item/{id} Source: https://api.unified.to/docs/openapi-commerce.json API endpoint for GET /commerce/{connection_id}/item/{id} ```markdown ### Parameters - **fields** (array (string (id|created_at|updated_at|name|public_name|slug|description|taxrate_id|global_code|public_description|is_active|is_taxable|vendor_name|type|variants|tags|media|collection_ids|account_id|metadata|raw|collections)), query, optional): Fields to return - **raw** (string, query, optional): Raw parameters to include in the 3rd-party request. Encoded as a URL component. eg. raw parameters: foo=bar&zoo=bar -> raw=foo%3Dbar%26zoo%3Dbar - **connection_id** (string, path, required): ID of the connection - **id** (string, path, required): ID of the Item ### Responses #### 200 - Successful **CommerceItem** - **id** (string) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) - **name** (string) - **public_name** (string) - **slug** (string) - **description** (string) - **taxrate_id** (string) - **global_code** (string) - **public_description** (string) - **is_active** (boolean) - **is_taxable** (boolean) - **vendor_name** (string) - **type** (string) - **variants** (array (CommerceItemVariant)): first variant is the default variant Array items: - **id** (string) - **name** (string) - **public_name** (string) - **description** (string) - **public_description** (string) - **sku** (string) - **is_active** (boolean) - **is_visible** (boolean) - **is_featured** (boolean) - **media** (array (CommerceItemMedia)) Array items: - **id** (string) - **url** (string) (required) - **alt** (string) - **type** (string (image|video)) ("image"|"video") - **height** (number) - **width** (number) - **position** (number) - **metadata** (array (CommerceMetadata)) Array items: - **id** (string) - **value** (object) - **namespace** (string) - **format** (string (TEXT|NUMBER|DATE|BOOLEAN|FILE|TEXTAREA|SINGLE_SELECT|MULTIPLE_SELECT|MEASUREMENT|PRICE|YES_NO|CURRENCY|URL)) ("TEXT"|"NUMBER"|"DATE"|"BOOLEAN"|"FILE"|"TEXTAREA"|"SINGLE_SELECT"|"MULTIPLE_SELECT"|"MEASUREMENT"|"PRICE"|"YES_NO"|"CURRENCY"|"URL") - **extra_data** (object) - **slug** (string) - **description** (string) - **is_required** (boolean) - **available_at** (string (date-time)) - **tags** (array (string)) - **width** (number) - **height** (number) - **length** (number) - **weight** (number) - **size_unit** (string (cm|inch)) ("cm"|"inch") - **weight_unit** (string (g|kg|oz|lb)) ("g"|"kg"|"oz"|"lb") - **total_stock** (number) - **prices** (array (CommerceItemPrice)) Array items: - **price** (number) (required) - **compare_at_price** (number) - **currency** (string) - **options** (array (CommerceItemOption)) Array items: - **id** (string) - **name** (string) (required) - **position** (number) - **values** (array (string)) (required) - **inventory_id** (string) - **requires_shipping** (boolean) - **metadata** (array (CommerceMetadata)) Array items: - **tags** (array (string)) - **media** (array (CommerceItemMedia)) Array items: - **collection_ids** (array (string)): @deprecated; use collections instead - **account_id** (string) - **metadata** (array (CommerceMetadata)) Array items: - **raw** (object) - **collections** (array (CommerceReference)): points to Collection with id, name, and type fields Array items: - **id** (string) - **name** (string) - **type** (string) ### Example Usage ```bash curl -X GET "https://api.unified.to/commerce/{connection_id}/item/{id}?fields=item1,item2&raw=string" ``` ``` -------------------------------- ### GET /commerce/{connection_id}/collection Source: https://api.unified.to/docs/openapi-commerce.json API endpoint for GET /commerce/{connection_id}/collection ```markdown ### Parameters - **limit** (number, query, optional) - **offset** (number, query, optional) - **updated_gte** (string, query, optional): Return only results whose updated date is equal or greater to this value (ISO-8601 / YYYY-MM-DDTHH:MM:SSZ format) - **sort** (string, query, optional) - **order** (string, query, optional) - **query** (string, query, optional): Query string to search. eg. email address or name - **type** (string, query, optional) - **parent_id** (string, query, optional): The parent ID to filter by - **saleschannel_id** (string, query, optional): The saleschannel ID to filter by (reference to CommerceSaleschannel) - **fields** (array (string (id|created_at|updated_at|name|public_name|description|public_description|media|is_visible|is_active|is_featured|tags|type|parent_id|metadata|item_metadata|raw)), query, optional): Fields to return - **raw** (string, query, optional): Raw parameters to include in the 3rd-party request. Encoded as a URL component. eg. raw parameters: foo=bar&zoo=bar -> raw=foo%3Dbar%26zoo%3Dbar - **connection_id** (string, path, required): ID of the connection ### Responses #### 200 - Successful **CommerceCollections** - Array of CommerceCollection ### Example Usage ```bash curl -X GET "https://api.unified.to/commerce/{connection_id}/collection?limit=0&offset=0&updated_gte=string&sort=string&order=string&query=string&type=string&parent_id=string&saleschannel_id=string&fields=item1,item2&raw=string" ``` ``` -------------------------------- ### GET /commerce/{connection_id}/itemvariant Source: https://api.unified.to/docs/openapi-commerce.json API endpoint for GET /commerce/{connection_id}/itemvariant ```markdown ### Parameters - **limit** (number, query, optional) - **offset** (number, query, optional) - **updated_gte** (string, query, optional): Return only results whose updated date is equal or greater to this value (ISO-8601 / YYYY-MM-DDTHH:MM:SSZ format) - **sort** (string, query, optional) - **order** (string, query, optional) - **query** (string, query, optional): Query string to search. eg. email address or name - **item_id** (string, query, optional): The item ID to filter by (reference to CommerceItem) - **collection_id** (string, query, optional): The collection ID to filter by (reference to CommerceCollection) - **fields** (array (string (id|created_at|updated_at|name|items|public_name|description|public_description|sku|is_active|is_visible|is_featured|media|available_at|tags|width|height|length|weight|size_unit|weight_unit|total_stock|prices|options|inventory_id|requires_shipping|metadata|raw)), query, optional): Fields to return - **raw** (string, query, optional): Raw parameters to include in the 3rd-party request. Encoded as a URL component. eg. raw parameters: foo=bar&zoo=bar -> raw=foo%3Dbar%26zoo%3Dbar - **connection_id** (string, path, required): ID of the connection ### Responses #### 200 - Successful **CommerceItemvariants** - Array of CommerceItemvariant ### Example Usage ```bash curl -X GET "https://api.unified.to/commerce/{connection_id}/itemvariant?limit=0&offset=0&updated_gte=string&sort=string&order=string&query=string&item_id=string&collection_id=string&fields=item1,item2&raw=string" ``` ``` -------------------------------- ### GET /commerce/{connection_id}/inventory/{id} Source: https://api.unified.to/docs/openapi-commerce.json API endpoint for GET /commerce/{connection_id}/inventory/{id} ```markdown ### Parameters - **fields** (array (string (id|updated_at|item_id|item_variant_id|item_option_id|location_id|available|raw)), query, optional): Fields to return - **raw** (string, query, optional): Raw parameters to include in the 3rd-party request. Encoded as a URL component. eg. raw parameters: foo=bar&zoo=bar -> raw=foo%3Dbar%26zoo%3Dbar - **connection_id** (string, path, required): ID of the connection - **id** (string, path, required): ID of the Inventory ### Responses #### 200 - Successful **CommerceInventory** - **id** (string) - **updated_at** (string (date-time)) - **item_id** (string) - **item_variant_id** (string) - **item_option_id** (string) - **location_id** (string) - **available** (number) (required) - **raw** (object) ### Example Usage ```bash curl -X GET "https://api.unified.to/commerce/{connection_id}/inventory/{id}?fields=item1,item2&raw=string" ``` ``` -------------------------------- ### GET /commerce/{connection_id}/location/{id} Source: https://api.unified.to/docs/openapi-commerce.json API endpoint for GET /commerce/{connection_id}/location/{id} ```markdown ### Parameters - **fields** (array (string (id|created_at|updated_at|name|address|description|is_active|language_locale|parent_id|currency|raw)), query, optional): Fields to return - **raw** (string, query, optional): Raw parameters to include in the 3rd-party request. Encoded as a URL component. eg. raw parameters: foo=bar&zoo=bar -> raw=foo%3Dbar%26zoo%3Dbar - **connection_id** (string, path, required): ID of the connection - **id** (string, path, required): ID of the Location ### Responses #### 200 - Successful **CommerceLocation** - **id** (string) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) - **name** (string) (required) - **address** (object) - **address1** (string) - **address2** (string) - **city** (string) - **region** (string) - **region_code** (string) - **postal_code** (string) - **country** (string) - **country_code** (string) - **description** (string) - **is_active** (boolean) - **language_locale** (string) - **parent_id** (string) - **currency** (string) - **raw** (object) ### Example Usage ```bash curl -X GET "https://api.unified.to/commerce/{connection_id}/location/{id}?fields=item1,item2&raw=string" ``` ``` -------------------------------- ### GET /commerce/{connection_id}/location Source: https://api.unified.to/docs/openapi-commerce.json API endpoint for GET /commerce/{connection_id}/location ```markdown ### Parameters - **limit** (number, query, optional) - **offset** (number, query, optional) - **updated_gte** (string, query, optional): Return only results whose updated date is equal or greater to this value (ISO-8601 / YYYY-MM-DDTHH:MM:SSZ format) - **sort** (string, query, optional) - **order** (string, query, optional) - **query** (string, query, optional): Query string to search. eg. email address or name - **org_id** (string, query, optional): The org ID to filter by (reference to AccountingOrganization) - **fields** (array (string (id|created_at|updated_at|name|address|description|is_active|language_locale|parent_id|currency|raw)), query, optional): Fields to return - **raw** (string, query, optional): Raw parameters to include in the 3rd-party request. Encoded as a URL component. eg. raw parameters: foo=bar&zoo=bar -> raw=foo%3Dbar%26zoo%3Dbar - **connection_id** (string, path, required): ID of the connection ### Responses #### 200 - Successful **CommerceLocations** - Array of CommerceLocation ### Example Usage ```bash curl -X GET "https://api.unified.to/commerce/{connection_id}/location?limit=0&offset=0&updated_gte=string&sort=string&order=string&query=string&org_id=string&fields=item1,item2&raw=string" ``` ``` -------------------------------- ### POST /commerce/{connection_id}/review Source: https://api.unified.to/docs/openapi-commerce.json API endpoint for POST /commerce/{connection_id}/review ```markdown ### Parameters - **fields** (array (string (id|created_at|updated_at|item_id|item_variant_id|rating|title|content|author_name|author_email|author_avatar_url|author_location|verified_purchase|helpful_votes|unhelpful_votes|media|status|is_verified|is_featured|is_public|comments|metadata|raw)), query, optional): Fields to return - **raw** (string, query, optional): Raw parameters to include in the 3rd-party request. Encoded as a URL component. eg. raw parameters: foo=bar&zoo=bar -> raw=foo%3Dbar%26zoo%3Dbar - **connection_id** (string, path, required): ID of the connection ### Request Body **Content-Type:** application/json - **id** (string) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) - **item_id** (string) (required) - **item_variant_id** (string) - **rating** (number) - **title** (string) - **content** (string) - **author_name** (string) - **author_email** (string) - **author_avatar_url** (string) - **author_location** (string) - **verified_purchase** (boolean) - **helpful_votes** (number) - **unhelpful_votes** (number) - **media** (array (CommerceItemMedia)): Photosvideos attached to the review Array items: - **id** (string) - **url** (string) (required) - **alt** (string) - **type** (string (image|video)) ("image"|"video") - **height** (number) - **width** (number) - **position** (number) - **metadata** (array (CommerceMetadata)) Array items: - **id** (string) - **value** (object) - **namespace** (string) - **format** (string (TEXT|NUMBER|DATE|BOOLEAN|FILE|TEXTAREA|SINGLE_SELECT|MULTIPLE_SELECT|MEASUREMENT|PRICE|YES_NO|CURRENCY|URL)) ("TEXT"|"NUMBER"|"DATE"|"BOOLEAN"|"FILE"|"TEXTAREA"|"SINGLE_SELECT"|"MULTIPLE_SELECT"|"MEASUREMENT"|"PRICE"|"YES_NO"|"CURRENCY"|"URL") - **extra_data** (object) - **slug** (string) - **description** (string) - **is_required** (boolean) - **status** (string (PENDING|APPROVED|REJECTED|SPAM)) ("PENDING"|"APPROVED"|"REJECTED"|"SPAM") - **is_verified** (boolean) - **is_featured** (boolean) - **is_public** (boolean) - **comments** (array (CommerceReviewComment)) Array items: - **id** (string) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) - **content** (string) (required) - **author_name** (string) - **author_email** (string) - **author_avatar_url** (string) - **author_location** (string) - **helpful_votes** (number) - **unhelpful_votes** (number) - **status** (string (PENDING|APPROVED|REJECTED|SPAM)) ("PENDING"|"APPROVED"|"REJECTED"|"SPAM") - **is_verified** (boolean) - **is_public** (boolean) - **metadata** (array (CommerceMetadata)) Array items: - **raw** (object) - **metadata** (array (CommerceMetadata)) Array items: - **raw** (object) ### Responses #### 200 - Successful **CommerceReview** - **id** (string) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) - **item_id** (string) (required) - **item_variant_id** (string) - **rating** (number) - **title** (string) - **content** (string) - **author_name** (string) - **author_email** (string) - **author_avatar_url** (string) - **author_location** (string) - **verified_purchase** (boolean) - **helpful_votes** (number) - **unhelpful_votes** (number) - **media** (array (CommerceItemMedia)): Photosvideos attached to the review Array items: - **id** (string) - **url** (string) (required) - **alt** (string) - **type** (string (image|video)) ("image"|"video") - **height** (number) - **width** (number) - **position** (number) - **metadata** (array (CommerceMetadata)) Array items: - **id** (string) - **value** (object) - **namespace** (string) - **format** (string (TEXT|NUMBER|DATE|BOOLEAN|FILE|TEXTAREA|SINGLE_SELECT|MULTIPLE_SELECT|MEASUREMENT|PRICE|YES_NO|CURRENCY|URL)) ("TEXT"|"NUMBER"|"DATE"|"BOOLEAN"|"FILE"|"TEXTAREA"|"SINGLE_SELECT"|"MULTIPLE_SELECT"|"MEASUREMENT"|"PRICE"|"YES_NO"|"CURRENCY"|"URL") - **extra_data** (object) - **slug** (string) - **description** (string) - **is_required** (boolean) - **status** (string (PENDING|APPROVED|REJECTED|SPAM)) ("PENDING"|"APPROVED"|"REJECTED"|"SPAM") - **is_verified** (boolean) - **is_featured** (boolean) - **is_public** (boolean) - **comments** (array (CommerceReviewComment)) Array items: - **id** (string) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) - **content** (string) (required) - **author_name** (string) - **author_email** (string) - **author_avatar_url** (string) - **author_location** (string) - **helpful_votes** (number) - **unhelpful_votes** (number) - **status** (string (PENDING|APPROVED|REJECTED|SPAM)) ("PENDING"|"APPROVED"|"REJECTED"|"SPAM") - **is_verified** (boolean) - **is_public** (boolean) - **metadata** (array (CommerceMetadata)) Array items: - **raw** (object) - **metadata** (array (CommerceMetadata)) Array items: - **raw** (object) ### Example Usage ```bash curl -X POST "https://api.unified.to/commerce/{connection_id}/review?fields=item1,item2&raw=string" \ -H "Content-Type: application/json" \ -d '{ "id": "string", "created_at": "2023-01-01T00:00:00Z", "updated_at": "2023-01-01T00:00:00Z", "item_id": "string", "item_variant_id": "string", "rating": "0", "title": "string", "content": "string", "author_name": "string", "author_email": "string", "author_avatar_url": "string", "author_location": "string", "verified_purchase": "true", "helpful_votes": "0", "unhelpful_votes": "0", "media": "value", "status": "PENDING", "is_verified": "true", "is_featured": "true", "is_public": "true", "comments": "value", "metadata": "value", "raw": "value" }' ``` ``` -------------------------------- ### API Overview: Unified.to COMMERCE API Source: https://api.unified.to/docs/openapi-commerce.json One API to Rule Them All ```yaml # Unified.to COMMERCE API # Version: 1.0 One API to Rule Them All # Base URL: https://api.unified.to ``` -------------------------------- ### POST /commerce/{connection_id}/saleschannel Source: https://api.unified.to/docs/openapi-commerce.json API endpoint for POST /commerce/{connection_id}/saleschannel ```markdown ### Parameters - **fields** (array (string (id|created_at|updated_at|slug|description|is_active|collections|raw)), query, optional): Fields to return - **raw** (string, query, optional): Raw parameters to include in the 3rd-party request. Encoded as a URL component. eg. raw parameters: foo=bar&zoo=bar -> raw=foo%3Dbar%26zoo%3Dbar - **connection_id** (string, path, required): ID of the connection ### Request Body **Content-Type:** application/json - **id** (string) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) - **slug** (string) - **description** (string) - **is_active** (boolean) - **collections** (array (CommerceReference)): points to a CommerceCollection Array items: - **id** (string) - **name** (string) - **type** (string) - **raw** (object) ### Responses #### 200 - Successful **CommerceSaleschannel** - **id** (string) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) - **slug** (string) - **description** (string) - **is_active** (boolean) - **collections** (array (CommerceReference)): points to a CommerceCollection Array items: - **id** (string) - **name** (string) - **type** (string) - **raw** (object) ### Example Usage ```bash curl -X POST "https://api.unified.to/commerce/{connection_id}/saleschannel?fields=item1,item2&raw=string" \ -H "Content-Type: application/json" \ -d '{ "id": "string", "created_at": "2023-01-01T00:00:00Z", "updated_at": "2023-01-01T00:00:00Z", "slug": "string", "description": "string", "is_active": "true", "collections": "value", "raw": "value" }' ``` ```